ProxyManager Status
curl --request GET \
--url https://use.hoop.dev/api/proxymanager/statusimport requests
url = "https://use.hoop.dev/api/proxymanager/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/proxymanager/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_duration": 1800000000000,
"connected-at": "2024-07-25T19:36:41Z",
"connection_name": "<string>",
"connection_subtype": "<string>",
"connection_type": "<string>",
"has_review": true,
"id": "20A5AABE-C35D-4F04-A5A7-C856EE6C7703",
"metadata": {
"go-version": "1.22.4",
"hostname": "johnwick.local",
"platform": "amd64",
"session": "15B3C616-6B43-4F85-B4FD-B83378A866C2",
"version": "1.23.4"
},
"port": "<string>",
"status": "ready"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Proxy Manager
ProxyManager Status
Get the current status of the client
GET
/
proxymanager
/
status
ProxyManager Status
Query Parameters
Filter by type
Response
OK
The request access duration in case of review
Example:
1800000000000
The time (RFC3339) when the client connect
Example:
"2024-07-25T19:36:41Z"
The requested connection name
The requested connection subtype
The requested connection type
Report if the connection has a review
Deterministic uuid identifier of the user
Example:
"20A5AABE-C35D-4F04-A5A7-C856EE6C7703"
Metadata information about the client
Show child attributes
Show child attributes
Example:
{
"go-version": "1.22.4",
"hostname": "johnwick.local",
"platform": "amd64",
"session": "15B3C616-6B43-4F85-B4FD-B83378A866C2",
"version": "1.23.4"
}
The requested client port to listen
The status of the connection request
- ready - indicates the grpc client is ready to subscribe to a new connection
- connected - indicates the client has opened a new session
- disconnected - indicates the grpc client has disconnected
Available options:
ready, connected, disconnected Was this page helpful?